package db

import (
	"context"
	"lmika.dev/lmika/hugo-crm/gen/sqlc/dbq"
	"lmika.dev/lmika/hugo-crm/models"
)

func (db *DB) InsertSite(ctx context.Context, site *models.Site) error {
	id, err := db.q.NewSite(ctx, dbq.NewSiteParams{
		Name:  site.Name,
		Url:   site.URL,
		Theme: "default",
		Props: []byte("{}"),
	})
	if err != nil {
		return err
	}
	site.ID = id
	return nil
}
